/**
 * @function _tmpl
 * @private
 * @returns {string}
 */
"use strict";

var fs = require('fs'),
    stringcase = require('stringcase'),
    _types = require('./_types');

/** @lends _tmpl */
function _tmpl(type) {
    var dirname = __dirname + '/../';
    var filename = _types[stringcase.camelcase(type).trim()];
    if(!filename){
        return null;
    }
    return fs.readFileSync(dirname + filename).toString();

}
module.exports = _tmpl;
